@font-face {
	font-family: 'Ubuntu';
	font-style: normal;
	font-weight: 400;
	src: local('Ubuntu'), url(fonts/ubuntu.woff) format('woff');
}

* {
	scrollbar-color: hsla(200, 80%, 45%, 1) hsla(360, 100%, 100%, 0.1);
	scrollbar-width: auto;
}

html {
	background-color: black;
	color: hsla(360, 100%, 100%, 1);
	font-size: 0.7rem;
	font-family: Ubuntu, "times new roman", times, roman, serif;
	min-width: 900px;
}

#constant_page_header {
	background-color: hsla(360,100%,100%,0.1);
	border-bottom: 1px solid hsla(360,100%,100%,0.3);
	display: flex;
	align-items: center;
	justify-content: center;
	height: 5rem;
}

#constant_page_header span {
	font-size: 2rem;
}

#constant_page_header>* {
	margin-left: 2rem;
	margin-right: 2rem;
}

#constant_page_header>input {
	background-color: hsla(360,100%,100%,0.1);
	border: 1px solid hsla(360,100%,100%,0.1);
	border-radius: 5px;
	padding: 5px 10px;
	color: hsla(360, 100%, 100%, 1);
	text-align: center;
}

#root {
	width: 100%;
	padding: 2%;
	box-sizing: border-box;
}

#root h1 {
	text-align: center;
	display: block;
	width: 100%;
	font-weight: bold;
	font-size: 2rem;
}

.stat_block {
	margin: auto;
	display: grid;
	grid-template-areas: "description" "chart";
	box-sizing: border-box;
	background-color: hsla(360,100%,100%,0.1);
	border-radius: 5px;
	padding: 20px;
	border: 1px solid hsla(360,100%,100%,0.3);
}

.stat_block .key {
	color: hsla(360, 100%, 100%, 0.8);
	font-weight: bold;
}

.stat_block .value {
	color: hsla(200, 80%, 45%, 0.8);
	font-style: italic;
	text-align: right;
}

.stat_block ul {
	grid-area: description;
	width: 100%;
	height: 100%;
	box-sizing: border-box;
	margin: 0;
	list-style: none;
	padding: 0;
	display: flex;
	flex-wrap: wrap;
}

.stat_block .chart {
	margin: 15px;
	padding: 20px;
	height: 48rem;
	grid-area: chart;
	box-sizing: border-box;
	position: relative;
	border: 1px solid hsla(360, 100%, 100%, 0.3);
	border-radius: 5px;
	display: block;
}

.category_container {
	padding: 5px 15px;
	display: inline-block;
	margin-top: 15px;
	width: 50%;
	box-sizing: border-box;
}

.category_container .category_content_container {
	max-height: 12rem;
	overflow-y: auto;
	border: 1px solid hsla(360,100%,100%,0.3);
	border-radius: 5px;
	cursor: default;
}

.category_container .category_title {
	box-sizing: border-box;
	margin-bottom: 10px;
	padding-bottom: 5px;
	font-size: 1.4rem;
	font-weight: bold;
	text-align: left;
}

.category_container .category_row {
	border-bottom: 1px solid hsla(360, 100%, 100%, 0.3);
	display: grid;
	grid-template-areas: 'key value';
	grid-template-columns: 50% 50%;
	font-size: 1.2rem;
	padding: 3px 5px;
}

.category_container .category_row:hover {
	background-color: hsla(360,100%,100%,0.03);
}

.category_container .category_row .category_key {
	grid-area: key;
	text-align: left;
	padding-left: 10px;
	padding-right: 10px;
}

.category_container .category_row .category_value {
	grid-area: value;
	color: hsla(200, 80%, 45%, 0.8);
	font-style: italic;
	text-align: left;
	padding-left: 10px;
	padding-right: 10px;
}

.category_container .category_row:last-of-type {
	border-bottom: none;
}

.searchbox {
	position: relative;
}

.searchbox * {
	box-sizing: border-box;
}

.searchbox .value_box {
	cursor: pointer;
	user-select: none;
	background-color: hsla(360,100%,100%,0.1);
	border: 1px solid hsla(360,100%,100%,0.1);
	padding: 5px 10px;
	color: hsla(360, 100%, 100%, 1);
	text-align: left;
	border-radius: 0;
	box-sizing: border-box;
}

.searchbox .dropdown {
	display: none;
	width: 100%;
	background-color: #333333;
	position: absolute;
	grid-template-areas: "filter_input" "option_list";
	grid-template-rows: 2.5rem auto;
	border-bottom: 1px solid hsla(360,100%,100%,0.1);
	border-left: 1px solid hsla(360,100%,100%,0.1);
	border-right: 1px solid hsla(360,100%,100%,0.1);
	box-sizing: border-box;
	padding: 5px;
}

.searchbox .dropdown .filter_input {
	grid-area: filter_input;
	background-color: hsla(360,100%,100%,0.1);
	border: 1px solid hsla(360,100%,100%,0.1);
	border-radius: 5px;
	color: hsla(360, 100%, 100%, 1);
	text-align: left;
	border-radius: 0;
	box-sizing: border-box;
	margin-bottom: 5px;
}

.searchbox .dropdown .option_list{
	grid-area: option_list;
	overflow-y: auto;
	max-height: 16rem;
}

.searchbox .dropdown .option_list .search_option {
	padding: 5px;
	cursor: pointer;
}

.searchbox .dropdown .option_list .search_option:hover {
	background-color: hsla(360,100%,100%,0.1);
}
